Search Inventory Groups (BETA)

This API endpoint allows the calling unit to search inventory groups for their child unit as specified by its incomingIdentifier.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The incoming identifier of the unit whose inventory products and groups are being managed.

Query Params

Optional filter by one or more group IDs. Supports repeated keys (e.g. groupId=GROUP_A&groupId=GROUP_B) and URL-encoded array-style keys (e.g. groupId%5B%5D=GROUP_A&groupId%5B%5D=GROUP_B or groupId%5B0%5D=GROUP_A&groupId%5B1%5D=GROUP_B).

Optional filter by one or more parent group IDs. Supports repeated keys (e.g. parentGroupId=PARENT_A&parentGroupId=PARENT_B) and URL-encoded array-style keys (e.g. parentGroupId%5B%5D=PARENT_A&parentGroupId%5B%5D=PARENT_B or parentGroupId%5B0%5D=PARENT_A&parentGroupId%5B1%5D=PARENT_B).

string

Optional filter by group name. Supports an exact value or a wildcard suffix using * for prefix matching. Wildcard rules: * must appear only once, must be the final character, and must have at least 3 characters before it (e.g. name=pan*).

integer
1 to 100

Maximum number of groups to return (up to 100).

integer
≥ 0

Number of matching groups to skip before returning results.

Headers
string
enum
Defaults to ''

This request HTTP header advertises which content encoding (usually a compression algorithm) the calling application is able to understand. The server selects one of the proposals, use it and informs the client of its choice with the Content-Encoding Response header. Currently supported gzip and deflate. Please note if this request header is not present, no compression will be used.

Allowed:
string
enum
Defaults to close

This general HTTP header controls (or rather influences) whether the network connection stays open after the current request finishes. If the sent value is keep-alive, the connection should stay in a special state, allowing to be reused for subsequent requests to the same server. Please note these connections will be closed after reaching timeout threshold controlled by EES server (usually after 5 seconds).

Allowed:
string
required

Client ID, This will be provided by EES and is unique to the company calling the API.

string
required

Request Security Hash, calculated using SHA-256 function from concatenated full Request URI Path with Query String(s), Payload and Client Secret.

string

Unique Reference for the API transaction within the calling company.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json